# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_instr::DrawMotionColourArrows Class Reference

Class to carry out overlay of motion vectors as coloured arrows.

`#include <motion_colour_arrows.h>`

Inheritance diagram for dirac_instr::DrawMotionColourArrows:

List of all members.

## Public Member Functions

- DrawMotionColourArrows (Picture &, DrawPictureMotionParams &, const MvArray &, int, int)
    Constructor.
- ~DrawMotionColourArrows ()
    Destructor.
- void DrawBlock (int, int)
    Calls DrawMotionArrows::DrawArrow() then colours blocks.
- void DrawLegend ()
    Draws power bar legend representing motion vector size.

## Private Attributes

- int m_mv_clip
    Clip value for maximum motion vector size.

## Constructor & Destructor Documentation

dirac_instr::DrawMotionColourArrows::DrawMotionColourArrows | ( | Picture & | ,
|  | DrawPictureMotionParams & | ,
|  | const MvArray & | ,
|  | int | ,
|  | int |  |
| ) |  |  |

dirac_instr::DrawMotionColourArrows::~DrawMotionColourArrows | ( |  | ) |

## Member Function Documentation

void dirac_instr::DrawMotionColourArrows::DrawBlock | ( | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Reimplemented from dirac_instr::DrawMotionArrows.

void dirac_instr::DrawMotionColourArrows::DrawLegend | ( |  | ) | `[virtual]`

Reimplemented from dirac_instr::DrawMotionArrows.

## Member Data Documentation

int dirac_instr::DrawMotionColourArrows::m_mv_clip`[private]`

The documentation for this class was generated from the following file:

- motion_colour_arrows.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.